#! /bin/sh -e

# $Id: lr_spoold.in,v 1.10 2001/06/01 22:31:08 vanbaal Exp $

#
# Copyright (C) 2000-2001 Stichting LogReport Foundation LogReport@LogReport.org
# 
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program (see COPYING); if not, check with
#     http://www.gnu.org/copyleft/gpl.html or write to the Free Software 
#     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
#

# lr_spoold - daemon to run lr_spool for all services periodically

# we should run this thing, redirecting its output to a log, and restarting
# it after rotating the log

PROGRAM=lr_spoold
tag="all all none $PROGRAM"

# dereference sysconfdir's prefix dependency
prefix="/usr"
. /etc/lire/profile_lean
. /etc/lire/defaults

addressfile=/etc/lire/address.cf
if test ! -r "$addressfile"
then
    echo >&2 "$tag crit cannot read $addressfile, exiting"
    exit 1
fi

addresses=`lr_getaddresses $addressfile || { echo >&2 "$tag crit cannot lr_getaddresses $addressfile, exiting" && exit 1; } `

while sleep $LR_SPOOLINTERVAL
do
    for address in $addresses
    do
        spooldir=$LR_SPOOLDIR/$address/Maildir/new/
        flags=`lr_addresses2serviceflags $address < $addressfile`
        lr_spool $spooldir lr_processmail $flags
    done
done

